Debian Patches

Status for ruby-packetfu/1.1.11-3

Patch Description Author Forwarded Bugs Origin Last update
0007-fix-tests-with-ruby23.patch Fix tests with ruby2.3 For some reason this test start to fail with ruby2.3, the simplest solution
that I found was substitute quotation mark to slash.
Lucas Kanashiro <kanashiro.duarte@gmail.com> yes upstream
0005-Require-rspec-its.patch explicitly require rspec/its Cdric Boutillier <boutil@debian.org> no debian 2015-08-10
0006-Replace-network_interface-by-Ruby-2.1-Socket.getifad.patch Replace network_interface by Ruby 2.1+ Socket.getifaddrs Instead of introducing a new package in Debian, we replace the dependency
on network_interface by taking advantage of a similar feature introduced
in Ruby 2.1: Socket.getifaddrs.

Thanks to Lance Sanchez for the pointer!
Jrmy Bobbio <lunar@debian.org> no 2015-09-10
0004-Fix-FTBFS-with-Ruby-3.2.patch Fix FTBFS with Ruby 3.2
Replace File.exists? with File.exist? and Fixnum with Integer.
Lucas Kanashiro <kanashiro@ubuntu.com> no 2024-02-22

All known versions for source package 'ruby-packetfu'

Links